Name:           python-dwave-ocean-sdk
Version:        8.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Software development kit for open source D-Wave tools

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dwavesystems/dwave-ocean-sdk
Source:         %{pypi_source dwave_ocean_sdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dwave-ocean-sdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dwave-ocean-sdk
Summary:        %{summary}

%description -n python3-dwave-ocean-sdk %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-dwave-ocean-sdk all


%prep
%autosetup -p1 -n dwave_ocean_sdk-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dwave-ocean-sdk -f %{pyproject_files}


%changelog
%autochangelog